<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{1CD0185B-81FB-4C7E-929C-B65C8A559CB1}</ProjectGuid>
    <RootNamespace>GameServer</RootNamespace>
    <Keyword>Win32Proj</Keyword>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v110</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
    <WholeProgramOptimization>true</WholeProgramOptimization>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v110</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>11.0.61030.0</_ProjectFileVersion>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <OutDir>$(SolutionDir)$(Configuration)\</OutDir>
    <IntDir>$(Configuration)\</IntDir>
    <LinkIncremental>true</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <OutDir>$(SolutionDir)$(Configuration)\</OutDir>
    <IntDir>$(Configuration)\</IntDir>
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>.;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>true</MinimalRebuild>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
      <PrecompiledHeader />
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>EditAndContinue</DebugInformationFormat>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Console</SubSystem>
      <TargetMachine>MachineX86</TargetMachine>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <PrecompiledHeader />
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Console</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <TargetMachine>MachineX86</TargetMachine>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="CGameServer.cpp" />
    <ClCompile Include="CMap.cpp" />
    <ClCompile Include="main.cpp" />
    <ClCompile Include="..\..\TitanBase\TitanBase\CTitanClient.cpp" />
    <ClCompile Include="..\..\TitanBase\TitanBase\CTitanClientThread.cpp" />
    <ClCompile Include="..\..\TitanBase\TitanBase\CTitanServer.cpp" />
    <ClCompile Include="..\..\TitanBase\TitanBase\CTitanSocket.cpp" />
    <ClCompile Include="..\..\TitanBase\TitanBase\mersenne.cpp" />
    <ClCompile Include="..\..\TitanBase\TitanBase\TitanLog.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="CCharacter.h" />
    <ClInclude Include="CGameClient.h" />
    <ClInclude Include="CGameServer.hpp" />
    <ClInclude Include="CMap.h" />
    <ClInclude Include="main.h" />
    <ClInclude Include="..\Common\CItems.hpp" />
    <ClInclude Include="..\Common\Common.h" />
    <ClInclude Include="..\Common\Common.hpp" />
    <ClInclude Include="..\Common\CShn.hpp" />
    <ClInclude Include="..\Common\XorTable.h" />
    <ClInclude Include="..\..\TitanBase\TitanBase\CCrc32Dynamic.hpp" />
    <ClInclude Include="..\..\TitanBase\TitanBase\CReadWriteMutex.hpp" />
    <ClInclude Include="..\..\TitanBase\TitanBase\CTitanArray.hpp" />
    <ClInclude Include="..\..\TitanBase\TitanBase\CTitanBufferedFile.hpp" />
    <ClInclude Include="..\..\TitanBase\TitanBase\CTitanFile.hpp" />
    <ClInclude Include="..\..\TitanBase\TitanBase\CTitanIniReader.hpp" />
    <ClInclude Include="..\..\TitanBase\TitanBase\CTitanPacket.hpp" />
    <ClInclude Include="..\..\TitanBase\TitanBase\CTitanSQL.hpp" />
    <ClInclude Include="..\..\TitanBase\TitanBase\randomc.h" />
    <ClInclude Include="..\..\TitanBase\TitanBase\TitanASMMath.h" />
    <ClInclude Include="..\..\TitanBase\TitanBase\TitanBase.h" />
    <ClInclude Include="..\..\TitanBase\TitanBase\TitanBinary.h" />
    <ClInclude Include="..\..\TitanBase\TitanBase\TitanFPoint.hpp" />
    <ClInclude Include="..\..\TitanBase\TitanBase\TitanGlobals.h" />
    <ClInclude Include="..\..\TitanBase\TitanBase\TitanLog.h" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>